Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [EN] steam-installer steam-devices in autoremove  (Read 2362 times)

Offline GoinEasy9

  • User
  • Posts: 560
[EN] steam-installer steam-devices in autoremove
« on: 2023/04/13, 14:56:36 »
Hi

I know some of you have Steam accounts, and this is only showing in apt autoremove, but, steam-installer and steam-devices are in the autoremove list along with a lot of :386 files. I mention this because, while the steam-libs-386 is being replace by steam-libs-amd64, there is no replacement for the installer and devices files, at least not that I can see.


Ich weiß, dass einige von euch Steam-Konten haben und dies nur in apt autoremove angezeigt wird, aber steam-installer und steam-devices sind in der autoremove-Liste zusammen mit einer Menge :386-Dateien. Ich erwähne dies, weil, während die steam-libs-386 durch steam-libs-amd64 ersetzt wird, gibt es keinen Ersatz für die Installer- und Geräte-Dateien, zumindest nicht, dass ich sehen kann.

Tom


Linux Counter number 348347

Offline towo

  • Administrator
  • User
  • *****
  • Posts: 2.937
Re: steam-installer steam-devices in autoremove
« Reply #1 on: 2023/04/13, 15:35:45 »

Code: [Select]
~
dpkg -l | grep steam
ii  steam:i386                                    1:1.0.0.76+ds-1                        i386         Transitional package for Steam
ii  steam-devices                                 1:1.0.0.76+ds-1                        all          Device support for Steam-related hardware
ii  steam-installer                               1:1.0.0.76+ds-1                        amd64        Valve's Steam digital software delivery system
ii  steam-libs:amd64                              1:1.0.0.76+ds-1                        amd64        Metapackage for Steam dependencies
ii  steam-libs:i386                               1:1.0.0.76+ds-1                        i386         Metapackage for Steam dependencies
ii  steam-libs-i386:i386                          1:1.0.0.76+ds-1                        i386         Metapackage for 32-bit Steam dependencies

No problem here


Code: [Select]
LANG=C d-u
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline GoinEasy9

  • User
  • Posts: 560
Re: steam-installer steam-devices in autoremove
« Reply #2 on: 2023/04/13, 15:45:20 »
Thanks for the reply towo, I had no problem with the update either, I just noticed it in apt autoremove. I use apt autoremove just for the info, but, for those that use it to actually remove things, there is a danger. :-)

Danke für die Antwort towo, ich hatte auch kein Problem mit dem Update, ich habe es nur in apt autoremove bemerkt. Ich benutze apt autoremove nur zur Information, aber für diejenigen, die es benutzen, um tatsächlich Dinge zu entfernen, besteht eine Gefahr :-)

Tom
Linux Counter number 348347

Offline towo

  • Administrator
  • User
  • *****
  • Posts: 2.937
Re: steam-installer steam-devices in autoremove
« Reply #3 on: 2023/04/13, 15:55:25 »
Here is nothing in autoremove, as you can see.
That's what i want to show.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline GoinEasy9

  • User
  • Posts: 560
Re: steam-installer steam-devices in autoremove
« Reply #4 on: 2023/04/13, 16:53:54 »
Thanks towo ... Just checked my other siduction box that has Steam installed and it comes back the same way yours did, Nothing to remove. Very Interesting. :-)

Danke towo ... Habe gerade meine andere Siduction Box überprüft, die Steam installiert hat und es kommt das Gleiche zurück wie bei dir, nichts zu entfernen. Sehr interessant. :-)

Tom
Linux Counter number 348347

Offline dpanter

  • User
  • Posts: 61
Re: steam-installer steam-devices in autoremove
« Reply #5 on: 2023/04/15, 10:33:24 »
You can get interesting side effects if you use the Steam website deb installer instead of the Debian repo version. I actually installed Steam with the website package on this current machine, much later decided to upgrade to the repo packages and it completed without issues. Going the other way is not recommended.
<< insert signature here >>

Offline GoinEasy9

  • User
  • Posts: 560
Re: steam-installer steam-devices in autoremove
« Reply #6 on: 2023/04/18, 15:10:49 »
Hi

Just a followup, it seems it was the Steam-Launcher app that caused the problem. When I removed Steam and reinstalled, Steam-Launcher was looking for a gtk3 file and wouldn't let Steam install. My first Steam install was done on this machine years ago, so, Steam-Launcher came in long ago.
I've always used the Debian repo's for installing Steam and never had a problem, but, I guess everyone has different experiences.

Thanks again for the responses.

Nur ein Nachtrag, es scheint, dass es die Steam-Launcher-App war, die das Problem verursacht hat. Als ich Steam entfernte und neu installierte, suchte Steam-Launcher nach einer gtk3-Datei und ließ die Installation von Steam nicht zu. Meine erste Steam-Installation wurde vor Jahren auf diesem Rechner durchgeführt, also ist der Steam-Launcher schon lange im Einsatz.

Ich habe immer die Debian-Repos für die Installation von Steam verwendet und hatte nie ein Problem, aber ich denke, jeder hat andere Erfahrungen.


Nochmals vielen Dank für die Antworten

Übersetzt mit www.DeepL.com/Translator (kostenlose Version)
Linux Counter number 348347

Offline ReyFer

  • User
  • Posts: 6
Re: steam-installer steam-devices in autoremove
« Reply #7 on: 2023/04/18, 16:27:38 »
How did you all get Steam installed? I am on the latest Siduction and every time I try to install steam-installer from Synaptic or from Discover or with the CLI using apt or nala, it tells me there are unmet dependencies or the package is not installable

Offline hendrikL

  • Administrator
  • User
  • *****
  • Gravatar
  • Posts: 929
Re: steam-installer steam-devices in autoremove
« Reply #8 on: 2023/04/18, 16:51:01 »
First, I don't use steam.
But if I am right, you need non-free in your package list, second you need mult-iarch environment, mh best read the wiki:

https://wiki.debian.org/Steam

third point: you are high jacking that threat!
So if you have a question about how to install <your wish>, open under the section software support a new threat ;)